using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Runtime.InteropServices;
using System.ComponentModel;

namespace DllForExcel
{
    // Put brackets around a string.
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDual)]
    [Description("A class that contains tools for use by Office VBA code")]
    public class CSharpTools
    {
        [ComVisible(true)]
        [Description("Add brackets around the input string")]
        public string AddBrackets(string value)
        {
            return "[" + value + "]";
        }
    }
}
